Владельцам 3.8.6: не поставили патч - потеряли форум!

Файловый Архив

  • Неограниченное количество категорий и суб-категорий
  • Настройки прав доступа по группам
  • Настройки прав доступа по каждой категории
  • Предпросмотр медиа файлов: FLV, IFLV, F4A, F4V, MP4, MP3, MOV и других...
  • Мультизагрузка файлов - SWFUploader
  • Добавление файлов с сервера
Подробности и история обновлений продукта в этой теме
Loading

Go Back   форум vBSupport.org > > >
Register Изображения Меню vBsupport Files Manager Аллея Звёзд Реклама на форуме Search Today's Posts Mark Forums Read
  • Мемберка
  • Администраторам
  • Premoderation
  • For English speaking users
  • Изменения в правах
  • Каталог Фрилансеров
Пароли на скачивание файлов в Member Area меняются автоматически каждый день
Если вам нужно скачать какой то скрипт, за паролем ко мне в ЛС
привет какирам kerk
Ещё раз обращаем Ваше внимание: всё, что Вы скачиваете и устанавливаете на свой форум, Вы устанавливаете исключительно на свой страх и риск.
Сообщество vBSupport'а физически не в состоянии проверять все стили, хаки и нули, выкладываемые пользователями.
Помните: безопасность Вашего проекта - Ваша забота.
Убедительная просьба: при обнаружении уязвимостей или сомнительных кодов обязательно отписывайтесь в теме хака/стиля
Спасибо за понимание
На форуме введена премодерация ВСЕХ новых пользователей

Почта с временных сервисов, типа mailinator.com, gawab.com и/или прочих, которые предоставляют временный почтовый ящик без регистрации и/или почтовый ящик для рассылки спама, отслеживается и блокируется, а так же заносится в спам-блок форума, аккаунты удаляются
for English speaking users:
You may be surprised with restriction of access to the attachments of the forum. The reason is the recent change in vbsupport.org strategy:

- users with reputation < 10 belong to "simple_users" users' group
- if your reputation > 10 then administrator (kerk, Luvilla) can decide to move you into an "improved" group, but only manually

Main idea is to increase motivation of community members to share their ideas and willingness to support to each other. You may write an article for the subject where you are good enough, you may answer questions, you may share vbulletin.com/org content with vbsupport.org users, receiving "thanks" equal your reputation points. We should not only consume, we should produce something.

- you may:
* increase your reputation (doing something useful for another members of community) and being improved
* purchase temporary access to the improved category:
10 $ for 3 months. - this group can download attachments, reputation/posts do not matter.
20 $ for 3 months. - this group can download attachments, reputation/posts do not matter + adds eliminated + Inbox capacity increased + files manager increased permissions.

Please contact kerk or Luvilla regarding payments.

Important!:
- if your reputation will become less then 0, you will be moved into "simple_users" users' group automatically.*
*for temporary groups (pre-paid for 3 months) reputation/posts do not matter.
Не можете скачать вложение?
Изменения в правах групп пользователей
внимательно читаем эту и эту темы
Короткая версия - тут
Уважаемые пользователи!

На форуме открыт новый раздел "Каталог фрилансеров"

и отдельный раздел для платных заказов "Куплю/Закажу"

 
 
Первый пост
Old  
Catlord Meow
Знаток
 
Catlord Meow's Avatar
Default 0

Quote:
Originally Posted by Luvilla View Post
спамеров надо отстреливать на подлёте
включайте
Title Replace,
New reCaptcha for Human Verification,
[OzzModz] Block Registrations With Spam Like Email
включены.
Quote:
Originally Posted by Luvilla View Post
проблема интересная, если готовы дать доступы (посоветуйтесь с хозяином) - стукните в ЛС
Какой конкретно доступ вам нужен?

Тем временем, я решил посмотреть, как выглядит ситуация на других форумах 4.2.3.

Например:
http://kiaclub.ru/forum/showthread.p...hlight=updated
http://kiaclub.ru/forum/showthread.p...hlight=updated
Как вы сами можете видеть, ситуация абсолютно аналогична -- та же версия, тот же глюк. Вряд ли пользователи, писавшие эти сообщения, намеренно деактивировали ссылки.
Сам проверить на том форуме я не могу, он огорожен (премодерация сообщений).

А вот тут интереснее:
Нераспарсено:
http://sony-club.ru/showthread.php?t...=1#post1460322
Однако, зарегистрировавшись, и отправив сообщение я получил уже другие результаты:
http://sony-club.ru/showthread.php?t...=1#post1573341
https://pp.vk.me/c637227/v637227233/2ea/CcVVvRI2Vs4.jpg
Посмотрим, ответят ли мне...

Ещё форум. Старые сообщения с текстом вместо линков:
http://jeepwrangler-club.ru/forum/sh...l=1#post110949
http://jeepwrangler-club.ru/forum/sh...l=1#post112711
http://jeepwrangler-club.ru/forum/sh...l=1#post112815
А вот новые посты слиты как надо:
http://jeepwrangler-club.ru/forum/sh...l=1#post357452
http://jeepwrangler-club.ru/forum/sh...l=1#post357146
http://jeepwrangler-club.ru/forum/sh...l=1#post356901
http://jeepwrangler-club.ru/forum/sh...l=1#post356874
http://jeepwrangler-club.ru/forum/sh...l=1#post356830
Можно конечно предположить, что все последние ответы были исправлены участниками вручную... я же пока не могу проверить это самостоятельно -- аккаунт находится на ручном одобрении.

Как видите, проблема не уникальна для нашего форума, и как минимум несколько других форумов версии 4.2.3 в интернетах также попали под действие неправильного слияния сообщений.
Однако, некоторые из них нашли способ решения.
Хотелось бы знать, что это за решение, требует ли оно установки дополнительных хаков/модулей/whatever (чего хотелось бы избежать), и насколько оно доступно пользователям... хм... альтернативно-лицензированной версии форума .
 
Bot
Yandex Bot Yandex Bot is online now
 
Join Date: 05.05.2005
Реклама на форуме А что у нас тут интересного? =)
Old  
Luvilla
Блондинка с электро......
 
Luvilla's Avatar
Default 1

Quote:
Originally Posted by Catlord Meow View Post
Как видите, проблема не уникальна для нашего форума, и как минимум несколько других форумов версии 4.2.3 в интернетах также попали под действие неправильного слияния сообщений.
Однако, некоторые из них нашли способ решения.
у меня тоже есть 4ка, и даже не одна... вот 4.2.3: http://vbtrans.org/vb4.ua/forum.php
проблем нет
единственная проблема со ссылками, именно в версии 4.2.3, но только на определённых версиях ПХП, которую я могу вспомнить, вот: http://www.vbulletin.com/forum/forum...res-argument-2
но это проблема с парсингом ссылок вообще, а не при слиянии сообщений

Quote:
Originally Posted by Catlord Meow View Post
Как вы сами можете видеть, ситуация абсолютно аналогична -- та же версия, тот же глюк.
ПХП 5.6

Quote:
Originally Posted by Catlord Meow View Post
Однако, зарегистрировавшись, и отправив сообщение я получил уже другие результаты
ПХП 5.3

а у Вас какая версия ПХП?
 
Old  
hoo
Мастер
 
hoo's Avatar
Default 1

Файлы от форума 4.2.2 у вас... clientscript точно... может с обновлением намудрили чего...
 
Old  
Catlord Meow
Знаток
 
Catlord Meow's Avatar
Default 0

Quote:
Originally Posted by Luvilla View Post
а у Вас какая версия ПХП?
PHP Version 5.4.37
Quote:
Originally Posted by hoo View Post
Файлы от форума 4.2.2 у вас... clientscript точно... может с обновлением намудрили чего...
Хмммм а вот это интересно
Внизу страницы написано Powered by vBulletin® Version 4.2.3
В админке Powered by vBulletin® Version 4.2.3

Однако:
vBulletin 4.2.3 http://vbtrans.org/vb4.ua/clientscri...-core.js?v=422
vBulletin 4.2.2 http://sovserv.su/clientscript/vbulletin-core.js?v=422

Действительно, с версий какая-то непонятка... возможно, форум обновлён неправильно, поговорю с Реалистом...
 
Old  
Luvilla
Блондинка с электро......
 
Luvilla's Avatar
Default 1

Quote:
Originally Posted by Catlord Meow View Post
Однако:
его позвать можно как угодно, хоть 384
пример: http://vbtrans.org/vb4.ua/clientscri...-core.js?v=384
в шапке файла версия

Quote:
Originally Posted by Catlord Meow View Post
PHP Version 5.4.37
должно бы всё работать...

Админка - обслуживание - диагностика - блок "Подозрительные версии файлов" - жмите "Сохранить"
она проверит и выдаст список
какие файлы помечены как "Файл не содержит ожидаемого содержимого", дайте список
 
Old  
Catlord Meow
Знаток
 
Catlord Meow's Avatar
Default 0

Quote:
Originally Posted by Luvilla View Post
Админка - обслуживание - диагностика - блок "Подозрительные версии файлов" - жмите "Сохранить"
она проверит и выдаст список
какие файлы помечены как "Файл не содержит ожидаемого содержимого", дайте список
Quote:
class_bbcode.php Файл не содержит ожидаемого содержимого
class_bbcode_alt.php Файл не содержит ожидаемого содержимого
class_block.php Файл не содержит ожидаемого содержимого
class_humanverify_new_recaptcha.php Файл не является частью vBulletin
class_wysiwygparser.php Файл не содержит ожидаемого содержимого
socialgroupdiscussion.php Файл не содержит ожидаемого содержимого
socialgroupmessage.php Файл не содержит ожидаемого содержимого
indexcontroller.php Версия файла не совпадает: у вас 4.2.3 Patch Level 1 , а должна быть 4.2.2
result.php Версия файла не совпадает: у вас 4.2.3 Patch Level 1 , а должна быть 4.2.2
https://pp.vk.me/c636524/v636524233/...VAuhuGDZVE.jpg
https://pp.vk.me/c636524/v636524233/...iwMT5tSl20.jpg

Мде тут явно что-то не так... особенно "у вас 4.2.3 Patch Level 1 , а должна быть 4.2.2" o_O
 
Old  
Luvilla
Блондинка с электро......
 
Luvilla's Avatar
Default 1

список правленных файлов - явно из этой темы Сборник исправлений vBulletin 4.2.2 для работы на PHP 5.5.x
 
Old  
Catlord Meow
Знаток
 
Catlord Meow's Avatar
Default 0

Quote:
Originally Posted by Luvilla View Post
список правленных файлов - явно из этой темы Сборник исправлений vBulletin 4.2.2 для работы на PHP 5.5.x
Фигасе там война и мир
Скажите, а 4.2.3 на PHP 5.4.37 пойдёт, и нужны ли будут подобные правки?...
И есть ли что-то, что мне нужно знать, обновляя форум с 4.2.2 на 4.2.3?

И спасибо всем за помощь и участие -- думал, редкий баг, а оказалось (вероятнее всего) -- просто криво установленный форум.
Да ещё и то, что сделать надо было с самого начала, было сделано лишь к концу второй страницы. Позорище :(.
Извиняюсь за потраченное время.
 
Old  
YURSHAT
Coder
 
YURSHAT's Avatar
Default 2

Quote:
Originally Posted by Catlord Meow View Post
Скажите, а 4.2.3 на PHP 5.4.37 пойдёт
Да, пойдёт и на 5.6.

Quote:
Originally Posted by Catlord Meow View Post
и нужны ли будут подобные правки?...
Нет
 
Old  
Luvilla
Блондинка с электро......
 
Luvilla's Avatar
Default 2

Quote:
Originally Posted by Catlord Meow View Post
Да ещё и то, что сделать надо было с самого начала, было сделано лишь к концу второй страницы. Позорище :(.
не переживайте) бывает...
есть такое правило, особенно актуально для форумов, где более одного админа:
Quote:
Originally Posted by Luvilla View Post
Обязательно создавайте тему где-то в админском разделе и ведите её самым тщательным образом. Кто какой хак поставил, что где в каких шаблонах менял, каких посторонних скриптов понапихал и какие файлы правил.
Не надейтесь на память!
к сожалению, в необходимости вести такие записи большинство народу убеждается только тогда, когда, как говорится, "жареный петух" или "рак на горе"...
но - никогда не поздно начать жить по правилам
Обновите форум, добейтесь корректного обновления
инструкция: Обновление форума
в вашем случае, короткая версия: закрыть форум через .хтаксесс; залить файлы с перезаписью; вызвать инсталл/апгрейд; профессионально тыкнуть кнопочку "начать обновление"; дождаться, пока она закончит; удалить папку /инсталл/; открыть форум
Стиль у вас свой, ничего особо не слетит

Quote:
Originally Posted by Catlord Meow View Post
думал, редкий баг
а это мы посмотрим после обновления, насколько он редкий...
если повезёт - баг исчезнет
если не повезёт... ну, я тоже считаю его достаточно редким, стучите, покопаюсь бесплатно, чисто из спортивного интереса
 
 

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT +4. The time now is 07:06 AM.


Powered by vBulletin® Version 3.0.9
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd.